org.apache.poi.hwmf.record

## Enum HwmfFill.ColorUsage

- java.lang.Object
- - java.lang.Enum<HwmfFill.ColorUsage>
  - - org.apache.poi.hwmf.record.HwmfFill.ColorUsage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfFill.ColorUsage>
  Enclosing class:
    HwmfFill

      public static enum HwmfFill.ColorUsage
      extends java.lang.Enum<HwmfFill.ColorUsage>

  The ColorUsage Enumeration (a 16-bit unsigned integer) specifies whether a color table exists in a device-independent bitmap (DIB) and how to interpret its values, i.e. if contains explicit RGB values or indexes into a palette.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIB_PAL_COLORS` The color table contains 16-bit indices into the current logical palette in the playback device context.
    `DIB_PAL_INDICES` No color table exists.
    `DIB_RGB_COLORS` The color table contains RGB values

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `flag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfFill.ColorUsage` | `valueOf(int flag)`
    `static HwmfFill.ColorUsage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfFill.ColorUsage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIB_RGB_COLORS

          public static final HwmfFill.ColorUsage DIB_RGB_COLORS

      The color table contains RGB values

    - #### DIB_PAL_COLORS

          public static final HwmfFill.ColorUsage DIB_PAL_COLORS

      The color table contains 16-bit indices into the current logical palette in the playback device context.

    - #### DIB_PAL_INDICES

          public static final HwmfFill.ColorUsage DIB_PAL_INDICES

      No color table exists. The pixels in the DIB are indices into the current logical palette in the playback device context.

  - ### Field Detail

    - #### flag

          public final int flag

  - ### Method Detail

    - #### values

          public static HwmfFill.ColorUsage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfFill.ColorUsage c : HwmfFill.ColorUsage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfFill.ColorUsage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfFill.ColorUsage valueOf(int flag)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.